Home
last modified time | relevance | path

Searched +full:- +full:- +full:exit +full:- +full:code (Results 1 – 25 of 1132) sorted by relevance

12345678910>>...46

/external/openssh/regress/
Dagent.sh6 SSH_AUTH_SOCK=/nonexistent ${SSHADD} -l > /dev/null 2>&1
7 if [ $? -ne 2 ]; then
8 fail "ssh-add -l did not fail with exit code 2"
12 eval `${SSHAGENT} -s` > /dev/null
14 if [ $r -ne 0 ]; then
15 fail "could not start ssh-agent: exit code $r"
17 ${SSHADD} -l > /dev/null 2>&1
18 if [ $? -ne 1 ]; then
19 fail "ssh-add -l did not fail with exit code 1"
25 rm -f $OBJ/$t-agent
[all …]
Dagent-pkcs11.sh1 # $OpenBSD: agent-pkcs11.sh,v 1.2 2015/01/12 11:46:32 djm Exp $
7 TEST_SSH_PKCS11=/usr/local/lib/soft-pkcs11.so.0.0
9 test -f "$TEST_SSH_PKCS11" || fatal "$TEST_SSH_PKCS11 does not exist"
11 # setup environment for soft-pkcs11 token
14 # prevent ssh-agent from calling ssh-askpass
19 # start command w/o tty, so ssh-add accepts pin from stdin
21 perl -e 'use POSIX; POSIX::setsid();
22 if (fork) { wait; exit($? >> 8); } else { exec(@ARGV) }' "$@"
26 eval `${SSHAGENT} -s` > /dev/null
28 if [ $r -ne 0 ]; then
[all …]
Dagent-ptrace.sh1 # $OpenBSD: agent-ptrace.sh,v 1.2 2014/02/27 21:21:25 djm Exp $
10 exit 0
17 exit 0
24 exit 0
27 if $OBJ/setuid-allowed ${SSHAGENT} ; then
30 echo "skipped (${SSHAGENT} is mounted on a no-setuid filesystem)"
31 exit 0
34 if test -z "$SUDO" ; then
36 exit 0
44 eval `${SSHAGENT} -s` > /dev/null
[all …]
Dcert-file.sh1 # $OpenBSD: cert-file.sh,v 1.5 2017/03/11 23:44:16 djm Exp $
6 rm -f $OBJ/user_ca_key* $OBJ/user_key*
7 rm -f $OBJ/cert_user_key*
10 ${SSHKEYGEN} -q -N '' -t ed25519 -f $OBJ/user_ca_key1 ||\
11 fatal "ssh-keygen failed"
12 ${SSHKEYGEN} -q -N '' -t ed25519 -f $OBJ/user_ca_key2 ||\
13 fatal "ssh-keygen failed"
16 ${SSHKEYGEN} -q -N '' -t ed25519 -f $OBJ/user_key1 || \
17 fatal "ssh-keygen failed"
18 ${SSHKEYGEN} -q -N '' -t ed25519 -f $OBJ/user_key2 || \
[all …]
/external/llvm/lib/Transforms/Utils/
DLoopUnrollRuntime.cpp1 //===-- UnrollLoopRuntime.cpp - Runtime Loop unrolling utilities ----------===//
8 //===----------------------------------------------------------------------===//
10 // This file implements some loop unrolling utilities for loops with run-time
11 // trip counts. See LoopUnroll.cpp for unrolling loops with compile-time
14 // The functions in this file are used to generate extra code when the
15 // run-time trip count modulo the unroll factor is not 0. When this is the
16 // case, we need to generate code to execute these 'left over' iterations.
18 // The current strategy generates an if-then-else sequence prior to the
22 //===----------------------------------------------------------------------===//
44 #define DEBUG_TYPE "loop-unroll"
[all …]
/external/llvm/docs/CommandGuide/
Dbugpoint.rst1 bugpoint - automatic test case reduction tool
5 --------
7 **bugpoint** [*options*] [*input LLVM ll/bc files*] [*LLVM passes*] **--args**
11 -----------
15 by optimizers, or bad native code generation (including problems in the static
22 -------
24 **--additional-so** *library*
27 run. This is useful if you are debugging programs which depend on non-LLVM
30 **--append-exit-code**\ =\ *{true,false}*
32 Append the test programs exit code to the output file so that a change in exit
[all …]
/external/skia/tools/
Dbuild_command_buffer.py5 # Use of this source code is governed by a BSD-style license that can be
25 parser.add_argument('-c', '--chrome-dir', required=True, help=
27 parser.add_argument('-o', '--output-dir', required=True,
30 parser.add_argument('--make-output-dir', default=False, action='store_true',
32 parser.add_argument('--chrome-out-dir', default='CommandBufferForSkia',
36 parser.add_argument('--extra-gn-args', default='',
39 parser.add_argument('--extra-ninja-args', default='',
42 parser.add_argument('--chrome-revision', default='origin/lkgr',
44 parser.add_argument('--no-sync', action='store_true', default=False,
46 parser.add_argument('--no-hooks', action='store_true', default=False,
[all …]
/external/icu/icu4c/source/tools/gensprep/
Dstore.c6 * Copyright (C) 1999-2014, International Business Machines
11 * encoding: US-ASCII
15 * created on: 2003-02-06
38 * StringPrep profile file format ------------------------------------
40 * The file format prepared and written here contains a 16-bit trie and a mapping table.
54 * Any Unicode code point from 0 to 0x10ffff can be looked up to get
55 * the trie-word, if any, for that code point. This means that the input
56 * to the lookup are 21-bit unsigned integers, with not all of the
57 * 21-bit range used.
62 * int32_t indexes[_SPREP_INDEX_TOP]; -- _SPREP_INDEX_TOP=16, see enum in sprpimpl.h file
[all …]
/external/okhttp/okio/okio/src/main/java/okio/
DAsyncTimeout.java8 * http://www.apache.org/licenses/LICENSE-2.0
28 * should not do any long-running operations. Otherwise we risk starving other
36 * timeouts, and {@link #exit} afterwards. The return value of {@link #exit}
38 * #timedOut} is asynchronous, and may be called after {@link #exit}.
62 if (inQueue) throw new IllegalStateException("Unbalanced enter/exit"); in enter()
84 node.timeoutAt = now + Math.min(timeoutNanos, node.deadlineNanoTime() - now); in scheduleTimeout()
108 public final boolean exit() { in exit() method in AsyncTimeout
134 return timeoutAt - now; in remainingNanos()
139 * #enter()} and {@link #exit()} has exceeded the timeout.
145 * Returns a new sink that delegates to {@code sink}, using this to implement
[all …]
/external/freetype/src/cff/
Dcffload.c7 /* Copyright 1996-2017 by */
214 FT_Stream stream = idx->stream; in cff_index_read_offset()
219 if ( !FT_STREAM_READ( tmp, idx->off_size ) ) in cff_index_read_offset()
224 for ( nn = 0; nn < idx->off_size; nn++ ) in cff_index_read_offset()
240 FT_Memory memory = stream->memory; in cff_index_init()
246 idx->stream = stream; in cff_index_init()
247 idx->start = FT_STREAM_POS(); in cff_index_init()
252 goto Exit; in cff_index_init()
253 idx->hdr_size = 5; in cff_index_init()
258 goto Exit; in cff_index_init()
[all …]
Dcffparse.c7 /* Copyright 1996-2017 by */
42 FT_UInt code, in cff_parser_init() argument
49 FT_Memory memory = library->memory; /* for FT_NEW_ARRAY */ in cff_parser_init()
56 parser->top = parser->stack; in cff_parser_init()
58 parser->object_code = code; in cff_parser_init()
59 parser->object = object; in cff_parser_init()
60 parser->library = library; in cff_parser_init()
61 parser->num_designs = num_designs; in cff_parser_init()
62 parser->num_axes = num_axes; in cff_parser_init()
65 if ( FT_NEW_ARRAY( parser->stack, stackSize ) ) in cff_parser_init()
[all …]
/external/swiftshader/third_party/LLVM/utils/
Dfindmisopt10 # Given a bitcode file that produces correct output (or return code),
14 # different result code. When the passes have been narrowed down,
32 # if specified to any value causes the result code of the program to
34 # determined by diffing the program's output with the non-optimized
37 if [ "$#" -lt 3 ] ; then
39 exit 1
43 if [ -x "$dir/Release/bin/bugpoint" ] ; then
45 elif [ -x "$dir/Debug/bin/bugpoint" ] ; then
49 exit 1
56 if [ ! -f "$input" ] ; then
[all …]
/external/llvm/utils/
Dfindmisopt10 # Given a bitcode file that produces correct output (or return code),
14 # different result code. When the passes have been narrowed down,
32 # if specified to any value causes the result code of the program to
34 # determined by diffing the program's output with the non-optimized
37 if [ "$#" -lt 3 ] ; then
39 exit 1
43 if [ -x "$dir/Release/bin/bugpoint" ] ; then
45 elif [ -x "$dir/Debug/bin/bugpoint" ] ; then
49 exit 1
56 if [ ! -f "$input" ] ; then
[all …]
/external/ltp/doc/
Dltp-howto.lyx129 important) testing techniques in its normal operations: Design and Code
132 set of tools to help identify any operational problems in their code that
205 Any code that you write to examine how a part of the kernel works can
213 Exit Style Tests
217 exit status of your program.
218 If your test program encounters unexpected or incorrect results, exit
219 the test program with a non-zero exit status, i.e.
222 exit(1)
225 Conversely, if your program completes as expected, return a zero exit status,
229 exit(0)
[all …]
/external/v8/tools/
Dtest-server.py8 # * Redistributions of source code must retain the above copyright
36 PIDFILE = "/tmp/v8-distributed-testing-server.pid"
59 code = subprocess.call(cmd, shell=True)
60 if code != 0:
61 print("Command '%s' returned error code %d" % (cmd, code))
62 sys.exit(code)
81 code = subprocess.call("which pip > /dev/null", shell=True)
82 if code != 0:
83 apt_get_code = subprocess.call("which apt-get > /dev/null", shell=True)
86 _Cmd("sudo apt-get install python-pip")
[all …]
/external/autotest/utils/
Drelease3 # steps to take following a release of new code to keep things working.
9 # - pull code from a source repository
13 # - install or update client code (new "atest" build?)
17 # - suid helper or similar?
21 # - any finishing touches you may require.
23 # ---
27 # ---
32 echo "--- $STATUS"
37 exit 1
40 # ---
[all …]
/external/icu/icu4c/source/i18n/unicode/
Dplurfmt.h5 * Copyright (C) 2007-2014, International Business Machines Corporation and
37 * <code>PluralFormat</code> supports the creation of internationalized
41 * <code>PluralFormat</code> selects the appropriate message based on
49 * forms of <i>all</i> languages correctly. <code>ChoiceFormat</code>
56 * 14). Thus <code>ChoiceFormat</code> is not adequate.
58 * <code>PluralFormat</code> deals with this by breaking the problem
61 * <li>It uses <code>PluralRules</code> that can define more complex
71 * http://unicode.org/repos/cldr-tmp/trunk/diff/supplemental/language_plural_rules.html
74 * <h4>Usage of <code>PluralFormat</code></h4>
75 * <p>Note: Typically, plural formatting is done via <code>MessageFormat</code>
[all …]
/external/pdfium/third_party/freetype/src/cff/
Dcffload.c7 /* Copyright 1996-2015 by */
206 FT_Stream stream = idx->stream; in cff_index_read_offset()
211 if ( !FT_STREAM_READ( tmp, idx->off_size ) ) in cff_index_read_offset()
216 for ( nn = 0; nn < idx->off_size; nn++ ) in cff_index_read_offset()
231 FT_Memory memory = stream->memory; in cff_index_init()
237 idx->stream = stream; in cff_index_init()
238 idx->start = FT_STREAM_POS(); in cff_index_init()
249 goto Exit; in cff_index_init()
254 goto Exit; in cff_index_init()
257 idx->count = count; in cff_index_init()
[all …]
/external/icu/icu4c/source/extra/uconv/
Duconv.1.in1 .\" Hey, Emacs! This is -*-nroff-*- you know...
7 .\" Copyright (C) 2000-2013 IBM, Inc. and others.
11 .TH UCONV 1 "2005-jul-1" "ICU MANPAGE" "ICU @VERSION@ Manual"
14 \- convert data from one encoding to another
21 .BI "\-V\fP, \fB\-\-version"
24 .BI "\-s\fP, \fB\-\-silent"
27 .BI "\-v\fP, \fB\-\-verbose"
30 .BI "\-l\fP, \fB\-\-list"
32 .BI "\-l\fP, \fB\-\-list\-code" " code"
34 .BI "\-\-default-code"
[all …]
/external/apache-harmony/jdwp/src/test/java/org/apache/harmony/jpda/tests/jdwp/VirtualMachine/
DExitTest.java9 * http://www.apache.org/licenses/LICENSE-2.0
34 * JDWP Unit test for VirtualMachine.Exit command.
38 * The exit code for this test.
49 // Indicate that we expect the debuggee to exit with a particular code. in beforeDebuggeeStart()
55 * This testcase exercises VirtualMachine.Exit command.
57 * <BR> Then the test performs VirtualMachine.Exit command
58 * with exit code = 99 and checks that debuggee exit code, received
81 if (System.currentTimeMillis() - startTime > timeOut) { in testExit001()
83 + "no exit codes of debuggee"); in testExit001()
89 assertEquals("Invalid exit code,", 99, exitCode); in testExit001()
/external/icu/icu4c/source/tools/toolutil/
Ducbuf.h6 * Copyright (C) 1998-2016, International Business Machines
49 * Opens the UCHARBUF with the given file stream and code page for conversion
57 * @param err is a pointer to a valid <code>UErrorCode</code> value. If this value
59 * On exit the value will indicate the success of the operation.
66 * Gets a UTF-16 code unit at the current position from the converted buffer
69 * @param err is a pointer to a valid <code>UErrorCode</code> value. If this value
71 * On exit the value will indicate the success of the operation.
77 * Gets a UTF-32 code point at the current position from the converted buffer
80 * @param err is a pointer to a valid <code>UErrorCode</code> value. If this value
82 * On exit the value will indicate the success of the operation.
[all …]
/external/ltp/testscripts/
Dexportfs.sh20 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
23 # USAGE : exportfs.sh -h <nfs_server> -d <nfs_server_disk_partition>
24 # -t <server_fs_type>
34 # CODE COVERAGE: 7.1% - fs/exportfs (Total Coverage)
35 # 7.1% - fs/exportfs/expfs.c
45 USAGE="$0 -h <nfs_server> -d <nfs_server_disk_partition> -t <server_fs_type>"
62 exit 1
71 \?) echo $USAGE ; exit 1 ;;
75 if [ -z "$NFS_SERVER" ]
79 exit 1
[all …]
/external/swiftshader/third_party/LLVM/tools/lli/
Dlli.cpp1 //===- lli.cpp - LLVM Interpreter / Dynamic compiler ----------------------===//
8 //===----------------------------------------------------------------------===//
11 // which allow the direct execution of LLVM programs through a Just-In-Time
14 //===----------------------------------------------------------------------===//
50 InputFile(cl::desc("<input bitcode>"), cl::Positional, cl::init("-"));
55 cl::opt<bool> ForceInterpreter("force-interpreter",
60 "use-mcjit", cl::desc("Enable use of the MC-based JIT (if available)"),
66 cl::desc("Optimization level. [-O0, -O1, -O2, or -O3] "
67 "(default = '-O2')"),
77 cl::desc("Architecture to generate assembly for (see --version)"));
[all …]
/external/libchrome/base/process/
Dkill.h2 // Use of this source code is governed by a BSD-style license that can be
5 // This file contains routines to kill processes and get the exit code and
22 // exit code arguments to KillProcess*(), use platform/application
25 TERMINATION_STATUS_NORMAL_TERMINATION, // zero exit status
26 TERMINATION_STATUS_ABNORMAL_TERMINATION, // non-zero exit status
31 // Used for the case when oom-killer kills a process on ChromeOS.
46 // from the given executable name, ending them with the given exit code. If
47 // filter is non-null, then only processes selected by the filter are killed.
72 // Send a kill signal to the process and then wait for the process to exit
91 // Wait for all the processes based on the named executable to exit. If filter
[all …]
/external/vboot_reference/utility/
Dtpmc.c2 * Use of this source code is governed by a BSD-style license that can be
8 * The exit code is 0 for success, the TPM error code for TPM errors, and 255
38 /* Converts a string in the form 0x[0-9a-f]+ to a 32-bit value. Returns 0 for
39 * success, non-zero for failure.
49 /* Converts a string in the form [0-9a-f]+ to an 8-bit value. Returns 0 for
50 * success, non-zero for failure.
74 fprintf(stderr, "command \"%s\" failed with code 0x%x\n", cmd, result); in ErrorCheck()
76 if (tpm_error_table[i].code == result) { in ErrorCheck()
82 fprintf(stderr, "the TPM error code is unknown to this program\n"); in ErrorCheck()
113 exit(OTHER_ERROR); in HandlerDefineSpace()
[all …]

12345678910>>...46